com.android.agf.fragments

## Class DashboardWebViewFragment.LoadCDA

- java.lang.Object
- - android.os.AsyncTask<String,Void,String>
  - - com.android.agf.asynctask.LoadingCDA
    - - com.android.agf.fragments.DashboardWebViewFragment.LoadCDA

- Enclosing class:
    DashboardWebViewFragment

       class DashboardWebViewFragment.LoadCDA
      extends LoadingCDA

  classe local que implementa el listener touch
  Author:
    albert

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class android.os.AsyncTask

      `AsyncTask.Status`

  - ### Field Summary

    - ### Fields inherited from class com.android.agf.asynctask.LoadingCDA

      `mCda, mDashComponent, mId, mSortida`

    - ### Fields inherited from class android.os.AsyncTask

      `SERIAL_EXECUTOR, THREAD_POOL_EXECUTOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DashboardWebViewFragment.LoadCDA(Context ctx, int id, DashComponent comp, PentahoConnection pentaho, PentahoServerSettings server, UserSettings auth)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `onPostExecute(String result)`

    - ### Methods inherited from class com.android.agf.asynctask.LoadingCDA

      `doInBackground`

    - ### Methods inherited from class android.os.AsyncTask

      `cancel, execute, execute, executeOnExecutor, get, get, getStatus, isCancelled, onCancelled, onCancelled, onPreExecute, onProgressUpdate, publishProgress`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashboardWebViewFragment.LoadCDA

          public DashboardWebViewFragment.LoadCDA(Context ctx,
                                          int id,
                                          DashComponent comp,
                                          PentahoConnection pentaho,
                                          PentahoServerSettings server,
                                          UserSettings auth)

  - ### Method Detail

    - #### onPostExecute

          protected void onPostExecute(String result)

      Overrides:
        `onPostExecute` in class `AsyncTask<String,Void,String>`